Gnash can't playback YouTube videos

Bug #608110 reported by RussianNeuroMancer
110
This bug affects 17 people
Affects Status Importance Assigned to Milestone
gnash
Fix Released
Undecided
Unassigned
gnash (Ubuntu)
Fix Released
Medium
Unassigned
Declined for Lucid by Sebastien Bacher
Nominated for Maverick by RussianNeuroMancer

Bug Description

Binary package hint: gnash

Gnash can't playback any YouTube videos in Maverick. I get error "An error occured, please try later again" in YouTube Player every time.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: mozilla-plugin-gnash 0.8.7-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-9.14-generic 2.6.35-rc5
Uname: Linux 2.6.35-9-generic x86_64
Architecture: amd64
Date: Wed Jul 21 17:54:12 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
SourcePackage: gnash

Tags: lucid maverick
Revision history for this message
RussianNeuroMancer (russianneuromancer) wrote :
Revision history for this message
David R. Hedges (p14nd4) wrote :

There's an upstream bug report here: https://savannah.gnu.org/bugs/?30357
And a patch here: http://lists.gnu.org/archive/html/gnash-dev/2010-05/msg00121.html

It's not 100% clear to me if this is the final version of the patch they included, but tomorrow's code freeze for gnash 0.8.8 apparently does include a fix for this issue: http://lists.gnu.org/archive/html/gnash-dev/2010-08/msg00002.html .

Pertinent commits appear to be:
http://lists.gnu.org/archive/html/gnash-commit/2010-05/msg00034.html
http://lists.gnu.org/archive/html/gnash-commit/2010-05/msg00037.html

Could this fix please be backported?

Revision history for this message
Virgil Brummond (uraharakisuke153) wrote :

Also the solution detailed here (might also be listed on the links above): http://fedoraproject.org/wiki/Common_F13_bugs#Gnash_fails_to_play_youtube_videos

The GNU flash movie player (gnash) fails to play youtube videos (with necessary codecs installed) after the first youtube visit with the message : "An error occured, please try again later." inside the player. The problem appears to be due to mishandling of browser cookies. To workaround the issue, delete youtube cookies, then block cookies from youtube.

The procedure to remove cookies and block youtube.com cookies using firefox is listed below.

1. Open firefox preferences by selecting Edit → Preferences from the firefox menu
I2. n the preferences window, choose the Privacy tab
3. Under History, set the value of Firefox will to Use custom settings for history
4. Next, remove any youtube cookies by selecting Show Cookies. Enter youtube in the search box, and click "Remove Cookies". Close the Cookies dialog when finished.
5. Next, add an exception by selecting Exceptions and add http://www.youtube.com then select Block
6. Finally, close the firefox preferences dialog.

Revision history for this message
Micah Gersten (micahg) wrote :

There seems to be enough confirmation to mark this triaged.

Changed in gnash (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Revision history for this message
rsavoye (rob-welcomehome) wrote :

This is fixed in what is about to be the 0.8.8 release, due to be out within a few days. For 0.8.7, the fix is to delete, and then block all YouTube cookies. I have tested the release branch on Maverick ARM/x86/amd64, and it works fine. The problem was YouTube uses cookies to redirect one to a regional server farm,, so if cookie handling was broken, it wouldn't work.

tags: added: lucid
removed: amd64 apport-bug
Revision history for this message
madbiologist (me-again) wrote :

Gnash 0.8.8 has been released, claiming 100% YouTube compatability. See http://www.phoronix.com/scan.php?page=news_item&px=ODUzOQ for further information.

Revision history for this message
James Lewis (james-fsck) wrote :

If we could get 0.8.8 packaged in time for the Maverick release it would be great, I think there's a lot of people who would say that youtube was the killer app for flash.

Revision history for this message
Micah Gersten (micahg) wrote : Re: [Bug 608110] Re: Gnash can't playback YouTube videos

 It's actually packaged, I or someone else just needs to merge it from
Debian. This will probably happen this weekend.

On 09/15/2010 04:38 AM, James Lewis wrote:
> If we could get 0.8.8 packaged in time for the Maverick release it would
> be great, I think there's a lot of people who would say that youtube was
> the killer app for flash.
>

Revision history for this message
rsavoye (rob-welcomehome) wrote : Re: [Bug-gnash] [Bug 608110] Re: Gnash can't playback YouTube videos

On Wed, Sep 15, 2010 at 09:38:30AM -0000, James Lewis wrote:
> If we could get 0.8.8 packaged in time for the Maverick release it would
> be great, I think there's a lot of people who would say that youtube was
> the killer app for flash.

  You can get x86 and amd64 debs of Gnash 0.8.8 for Maverick off the Gnash
repositories. http://www.getgnash.org/packages/. Don't forget to delete
your cookies so they get recreated with the new release.

 - rob -

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Regarding Duplicate Ubuntu Bug 650600, in Maverick Meerkat downloaded gnash dev key to gnash-dev.txt file from http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x50B9A110A0B6D3FE opened Synaptic Package Manager, primary clicked Settings -> Repositories -> Other Software tab -> Add button -> deb http://www.getgnash.org/debs/ubuntu maverick main -> Add Source button -> Authentication tab -> Import Key File button -> choose the downloaded gnash-dev.txt -> Close button -> Reload -> upgraded mozilla-plugin-gnash to 0.8.8, accepting default dependencies-> went to http://www.youtube.com/watch?v=xmt8wSKxc1I and played flawlessly. Well done and my apologies for the dup. Tested Flashblock enabled and disabled, did not crash either way.

lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10

apt-cache policy mozilla-plugin-gnash
mozilla-plugin-gnash:
  Installed: 0.8.8
  Candidate: 0.8.8
  Version table:
 *** 0.8.8 0
        500 http://www.getgnash.org/debs/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
     0.8.7-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ maverick/universe i386 Packages

Revision history for this message
Micah Gersten (micahg) wrote :

gnash (0.8.8-5ubuntu1) maverick; urgency=low

  [ Micah Gersten <email address hidden> ]
  * FFe - LP: #636667
  * Merge from debian unstable. Remaining changes:
    + Add Ubuntu flash alternatives in postinst and prerm
      - update debian/browser-plugin-gnash.postinst
      - update debian/browser-plugin-gnash.prerm

  [ Chris Coulson <email address hidden> ]
  * Ensure the directories we are installing alternatives too exist
    already
    - add debian/browser-plugin-gnash.dirs
 -- Micah Gersten <email address hidden> Tue, 28 Sep 2010 23:38:37 -0500

Changed in gnash (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
First (first00-deactivatedaccount) wrote :

I still experience this problem on Chromium and Firefox.

gnash_0.8.8-5ubuntu1

Revision history for this message
strk (strk) wrote :

On Sat, Oct 30, 2010 at 11:24:53AM -0000, rEnr3n wrote:
> I still experience this problem on Chromium and Firefox.
>
> gnash_0.8.8-5ubuntu1

Wipe out cookies from youtube.com and refuse further ones.

--strk;

  () Free GIS & Flash consultant/developer
  /\ http://strk.keybit.net/services.html

Revision history for this message
First (first00-deactivatedaccount) wrote :

Ok. I thought v0.8.8 was supposed to fix that. I cannot use the method above since I use NotScripts for Chrome which uses HTML5 storage. https://chrome.google.com/extensions/detail/odjhifogjcknibkahlpidmdajjpkkcfn

Revision history for this message
madbiologist (me-again) wrote :

If I recall correctly from reading the duplicates (don't have time to reread them now), you just need to delete the existing YouTube cookies once to fix this issue. You don't need to block then anymore with v0.8.8

Revision history for this message
strk (strk) wrote :

On Sun, Oct 31, 2010 at 05:53:11AM -0000, madbiologist wrote:
> If I recall correctly from reading the duplicates (don't have time to
> reread them now), you just need to delete the existing YouTube cookies
> once to fix this issue. You don't need to block then anymore with
> v0.8.8

It depends on the browser version.
Newer browser allow plugins to extract cookies, other don't.

--strk;

  () Free GIS & Flash consultant/developer
  /\ http://strk.keybit.net/services.html

Revision history for this message
First (first00-deactivatedaccount) wrote :

Ok I found it but it's kind of frustrating. Every time I open a youtube page on a single tab, I have to repeatedly close (I have Tab Cookies installed which clears cookies on tab close: https://chrome.google.com/extensions/detail/iahecghojagkcoehfhfknajofkokndjm) and open the youtube page. Opening youtube pages on two tabs will make the plugin crash.

Can't this be fixed?

Revision history for this message
strk (strk) wrote :

On Sun, Oct 31, 2010 at 12:38:10PM -0000, rEnr3n wrote:
> Ok I found it but it's kind of frustrating. Every time I open a youtube
> page on a single tab, I have to repeatedly close (I have Tab Cookies
> installed which clears cookies on tab close:
> https://chrome.google.com/extensions/detail/iahecghojagkcoehfhfknajofkokndjm)
> and open the youtube page. Opening youtube pages on two tabs will make
> the plugin crash.
>
> Can't this be fixed?

Try with the newest version of the browser and of Gnash .
Remember to upgrade gnash _plugin_.

More informations on wiki.gnashdev.org (seek for YouTube)

--strk;

  () Free GIS & Flash consultant/developer
  /\ http://strk.keybit.net/services.html

Revision history for this message
Christopher Forster (christopherforster) wrote :

Gnash YouTube cookie bug fixed with version 0.8.8-5ubuntu1 on Ubuntu 10.10 (Maverick Meerkat) AMD64.

Changed in gnash:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.